import { create } from 'zustand'
import { getReplies } from '../../services/fast_answer/FastAnswerService'

interface typeFastAnswerStore {
    openModal: boolean,
    optionsView: string,
    listFastAnswer: [],
    formFastAnswer: {},
    setOpenModal: () => void,
    setOptionsView: (value: string) => void,
    getReplies: (id_chatbot: string) => void,
    setFormFastAnswer: (value: {}) => void,
}
const useFastAnswerStore = create<typeFastAnswerStore>((set) => ({
    openModal: false,
    optionsView: 'list',
    listFastAnswer: [],
    formFastAnswer: {
        id: 0,
        title: '',
        description: '',
    },
    setOpenModal: () =>  set((state) => ({ ...state, openModal: !state.openModal,optionsView: 'list' })),//set({ openModal: !openModal ,optionsView: 'list' }),
    setOptionsView: (value: string) => set({ optionsView: value }),
    getReplies: (id_chatbot: string) => {
        set({ listFastAnswer: [] })
        return new Promise((resolve, reject) => {
            getReplies(id_chatbot).then((data) => {
                set({ listFastAnswer: data.data })
                resolve(data)
            })
        })
    },
    setFormFastAnswer: (value: {}) => set({ formFastAnswer: value }),
}))

export default useFastAnswerStore